1. galaxy
  2. galaxy-dist

Commits

Nate Coraor  committed 75f0961 Merge

Merge next-stable to stable for release.

  • Participants
  • Parent commits c78e28a, a97c69f
  • Branches stable
  • Tags release_2013.04.01

Comments (0)

Files changed (1179)

File .hgignore

View file
 # Python bytecode
 *.pyc
 
+# Galaxy Runtime Files
+paster.lock
+paster.log
+paster.pid
+
 # Tool Shed Runtime Files
-community_webapp.log
-community_webapp.pid
+tool_shed_webapp.lock
+tool_shed_webapp.log
+tool_shed_webapp.pid
 hgweb.config*
 
 # Config files
 universe_wsgi.ini
 reports_wsgi.ini
-community_wsgi.ini
+tool_shed_wsgi.ini
 
 # Config files.
 datatypes_conf.xml
 integrated_tool_panel.xml
 openid_conf.xml
 shed_tool_data_table_conf.xml
+job_conf.xml
+data_manager_conf.xml
+shed_data_manager_conf.xml
 
 static/welcome.html.*
 static/welcome.html
 
 # CSS build artifacts.
 */variables.less
-static/june_2007_style/blue/base_sprites.less
+static/style/blue/base_sprites.less
 
 # Testing
 selenium-server.jar

File buildbot_setup.sh

View file
 datatypes_conf.xml.sample
 universe_wsgi.ini.sample
 tool_data_table_conf.xml.sample
+tool_sheds_conf.xml.sample
 shed_tool_data_table_conf.xml.sample
 migrated_tools_conf.xml.sample
+data_manager_conf.xml.sample
+shed_data_manager_conf.xml.sample
 tool-data/shared/ensembl/builds.txt.sample
 tool-data/shared/igv/igv_build_sites.txt.sample
 tool-data/shared/ncbi/builds.txt.sample
     cp $sample $file
 done
 
+echo "Copying job_conf.xml.sample_basic to job_conf.xml"
+cp job_conf.xml.sample_basic job_conf.xml
+
 for dir in $DIRS; do
     if [ ! -d $dir ]; then
         echo "Creating $dir"

File community_wsgi.ini.sample

-# ---- HTTP Server ----------------------------------------------------------
-
-[server:main]
-
-use = egg:Paste#http
-port = 9009
-
-# The address on which to listen.  By default, only listen to localhost (the tool shed will not
-# be accessible over the network).  Use '0.0.0.0' to listen on all available network interfaces.
-#host = 0.0.0.0
-host = 127.0.0.1
-
-use_threadpool = true
-threadpool_workers = 10
-
-# ---- Galaxy Webapps Community Interface -------------------------------------------------
-
-[app:main]
-
-# Specifies the factory for the universe WSGI application
-paste.app_factory = galaxy.webapps.community.buildapp:app_factory
-log_level = DEBUG
-
-# Database connection
-database_file = database/community.sqlite
-# You may use a SQLAlchemy connection string to specify an external database instead
-#database_connection = postgres:///community_test?host=/var/run/postgresql
-
-# Where the hgweb.config file is stored.  The default is the Galaxy installation directory.
-#hgweb_config_dir = None
-
-# Where dataset files are saved
-file_path = database/community_files
-# Temporary storage for additional datasets, this should be shared through the cluster
-new_file_path = database/tmp
-
-# Session support (beaker)
-use_beaker_session = True
-session_type = memory
-session_data_dir = %(here)s/database/beaker_sessions
-session_key = galaxysessions
-session_secret = changethisinproduction
-
-# -- Users and Security
-
-# Galaxy encodes various internal values when these values will be output in
-# some format (for example, in a URL or cookie).  You should set a key to be
-# used by the algorithm that encodes and decodes these values.  It can be any
-# string.  If left unchanged, anyone could construct a cookie that would grant
-# them access to others' sessions.
-id_secret = changethisinproductiontoo
-
-# User authentication can be delegated to an upstream proxy server (usually
-# Apache).  The upstream proxy should set a REMOTE_USER header in the request.
-# Enabling remote user disables regular logins.  For more information, see:
-# http://wiki.g2.bx.psu.edu/Admin/Config/Apache%20Proxy
-#use_remote_user = False
-
-# Configuration for debugging middleware
-debug = true
-use_lint = false
-
-# NEVER enable this on a public site (even test or QA)
-# use_interactive = true
-
-# this should be a comma-separated list of valid Galaxy users
-#admin_users = user1@example.org,user2@example.org
-
-# Force everyone to log in (disable anonymous access)
-require_login = False
-
-# path to sendmail
-sendmail_path = /usr/sbin/sendmail
-
-# For use by email messages sent from the tool shed
-#smtp_server = smtp.your_tool_shed_server
-#email_from = your_tool_shed_email@server
-
-# The URL linked by the "Support" link in the "Help" menu.
-#support_url = http://wiki.g2.bx.psu.edu/Support
-
-# Write thread status periodically to 'heartbeat.log' (careful, uses disk space rapidly!)
-## use_heartbeat = True
-
-# Profiling middleware (cProfile based)
-## use_profile = True
-
-# Use the new iframe / javascript based layout
-use_new_layout = true
-
-# Serving static files (needed if running standalone)
-static_enabled = True
-static_cache_time = 360
-static_dir = %(here)s/static/
-static_images_dir = %(here)s/static/images
-static_favicon_dir = %(here)s/static/favicon.ico
-static_scripts_dir = %(here)s/static/scripts/
-static_style_dir = %(here)s/static/june_2007_style/blue

File data_manager_conf.xml.sample

View file
+<?xml version="1.0"?>
+<data_managers>
+</data_managers>

File datatypes_conf.xml.sample

View file
       <converter file="bed_to_summary_tree_converter.xml" target_datatype="summary_tree"/>
       <converter file="bed_to_fli_converter.xml" target_datatype="fli"/>
       <!-- <display file="ucsc/interval_as_bed.xml" /> -->
-      <display file="genetrack.xml" />
       <display file="igb/bed.xml" />
     </datatype>
     <datatype extension="bedgraph" type="galaxy.datatypes.interval:BedGraph" display_in_upload="true">
     </datatype>
     <datatype extension="bedstrict" type="galaxy.datatypes.interval:BedStrict" />
     <datatype extension="bed6" type="galaxy.datatypes.interval:Bed6">
-      <converter file="bed_to_genetrack_converter.xml" target_datatype="genetrack"/>
     </datatype>
     <datatype extension="bed12" type="galaxy.datatypes.interval:Bed12" />
     <datatype extension="len" type="galaxy.datatypes.chrominfo:ChromInfo" display_in_upload="true">
     <datatype extension="bowtie_base_index" type="galaxy.datatypes.ngsindex:BowtieBaseIndex" mimetype="text/html" display_in_upload="False"/>
     <datatype extension="csfasta" type="galaxy.datatypes.sequence:csFasta" display_in_upload="true"/>
     <datatype extension="data" type="galaxy.datatypes.data:Data" mimetype="application/octet-stream" max_optional_metadata_filesize="1048576" />
+    <datatype extension="data_manager_json" type="galaxy.datatypes.data:Text" mimetype="application/json" subclass="True" display_in_upload="False"/>
     <datatype extension="fasta" type="galaxy.datatypes.sequence:Fasta" display_in_upload="true">
       <converter file="fasta_to_tabular_converter.xml" target_datatype="tabular"/>
       <converter file="fasta_to_bowtie_base_index_converter.xml" target_datatype="bowtie_base_index"/>
       <converter file="interval_to_tabix_converter.xml" target_datatype="tabix" depends_on="bgzip"/>
 	  <converter file="interval_to_summary_tree_converter.xml" target_datatype="summary_tree"/>
       <!-- <display file="ucsc/interval_as_bed.xml" inherit="True" /> -->
-      <display file="genetrack.xml" inherit="True"/>
       <display file="ensembl/ensembl_interval_as_bed.xml" inherit="True"/>
       <display file="gbrowse/gbrowse_interval_as_bed.xml" inherit="True"/>
       <display file="rviewer/bed.xml" inherit="True"/>

File display_applications/genetrack.xml

-<display id="genetrack_interval" version="1.0.0" name="view in">
-    <link id="genetrack" name="GeneTrack">
-        <url target_frame="galaxy_main">http://genetrack.g2.bx.psu.edu/galaxy?filename=${encoded_filename.qp}&amp;hashkey=${hash_key.qp}&amp;input=${qp(str($genetrack_file.id))}&amp;GALAXY_URL=${galaxy_url.qp}</url>
-        <param type="data" name="bed_file" viewable="False" format="bed6,genetrack"/> <!-- for now, we'll explicitly take care of the multi-step conversion; walk genetrack datatype down as a conversion of genetrack to genetrack doesn't exist and would likely be pointless -->
-        <param type="data" dataset="bed_file" name="genetrack_file" format="genetrack" viewable="False" />
-        <param type="template" name="galaxy_url" strip="True" >
-            ${BASE_URL}/tool_runner?tool_id=predict2genetrack
-        </param>
-        <param type="template" name="hash_key" strip="True" >
-            #from galaxy.util.hash_util import hmac_new
-            ${hmac_new( $APP.config.tool_secret, $genetrack_file.file_name )}
-        </param>
-        <param type="template" name="encoded_filename" strip="True" >
-            #import binascii
-            ${binascii.hexlify( $genetrack_file.file_name )}
-        </param>
-    </link>
-</display>

File eggs.ini

View file
 nose = 0.11.1
 NoseHTML = 0.4.1
 NoseTestDiff = 0.1
-Paste = 1.6
-PasteDeploy = 1.3.3
-PasteScript = 1.7.3
+Paste = 1.7.5.1
+PasteDeploy = 1.5.0
 pexpect = 2.4
 python_openid = 2.2.5
 python_daemon = 1.5.5
 wchartype = 0.1
 Whoosh = 0.3.18
 ; fluent_logger = 0.3.3
+raven = 3.1.8
 
 ; extra version information
 [tags]

File install_and_test_tool_shed_repositories.sh

View file
+#!/bin/sh
+
+# A good place to look for nose info: http://somethingaboutorange.com/mrl/projects/nose/
+
+# The test/install_and_test_tool_shed_repositories/functional_tests.py can not be executed directly, because it must have certain functional test definitions
+# in sys.argv. Running it through this shell script is the best way to ensure that it has the required definitions.
+
+# This script requires the following environment variables:
+# GALAXY_INSTALL_TEST_TOOL_SHED_API_KEY - must be set to the API key for the tool shed that is being checked.
+# GALAXY_INSTALL_TEST_TOOL_SHED_URL - must be set to a URL that the tool shed is listening on.
+# If the tool shed url is not specified in tool_sheds_conf.xml, GALAXY_INSTALL_TEST_TOOL_SHEDS_CONF must be set to a tool sheds configuration file
+# that does specify that url, otherwise repository installation will fail.
+
+if [ -z $GALAXY_INSTALL_TEST_TOOL_SHED_API_KEY ] ; then
+	echo "This script requires the GALAXY_INSTALL_TEST_TOOL_SHED_API_KEY environment variable to be set and non-empty."
+	exit 1
+fi
+
+if [ -z $GALAXY_INSTALL_TEST_TOOL_SHED_URL ] ; then
+	echo "This script requires the GALAXY_INSTALL_TEST_TOOL_SHED_URL environment variable to be set and non-empty."
+	exit 1
+fi
+
+if [ -z "$GALAXY_INSTALL_TEST_TOOL_SHEDS_CONF" ] ; then
+	if grep --quiet $GALAXY_INSTALL_TEST_TOOL_SHED_URL tool_sheds_conf.xml; then
+		echo "Tool sheds configuration tool_sheds_conf.xml ok, proceeding."
+	else
+		echo "ERROR: Tool sheds configuration tool_sheds_conf.xml does not have an entry for $GALAXY_INSTALL_TEST_TOOL_SHED_URL."
+		exit 1
+	fi
+else
+	if grep --quiet $GALAXY_INSTALL_TEST_TOOL_SHED_URL $GALAXY_INSTALL_TEST_TOOL_SHEDS_CONF; then
+		echo "Tool sheds configuration $GALAXY_INSTALL_TEST_TOOL_SHEDS_CONF ok, proceeding."
+	else
+		echo "ERROR: Tool sheds configuration $GALAXY_INSTALL_TEST_TOOL_SHEDS_CONF does not have an entry for $GALAXY_INSTALL_TEST_TOOL_SHED_URL"
+		exit 1
+	fi
+fi
+
+python test/install_and_test_tool_shed_repositories/functional_tests.py $* -v --with-nosehtml --html-report-file \
+	test/install_and_test_tool_shed_repositories/run_functional_tests.html \
+	test/install_and_test_tool_shed_repositories/functional/test_install_repositories.py \
+	test/functional/test_toolbox.py  

File job_conf.xml.sample_advanced

View file
+<?xml version="1.0"?>
+<job_conf>
+    <plugins workers="4">
+        <!-- "workers" is the number of threads for the runner's work queue.
+             The default from <plugins> is used if not defined for a <plugin>.
+          -->
+        <plugin id="local" type="runner" load="galaxy.jobs.runners.local:LocalJobRunner"/>
+        <plugin id="pbs" type="runner" load="galaxy.jobs.runners.pbs:PBSJobRunner" workers="2"/>
+        <plugin id="drmaa" type="runner" load="galaxy.jobs.runners.drmaa:DRMAARunner"/>
+        <plugin id="lwr" type="runner" load="galaxy.jobs.runners.lwr.LwrJobRunner" /> <!-- https://lwr.readthedocs.org -->
+        <plugin id="cli" type="runner" load="galaxy.jobs.runners.cli:ShellJobRunner" />
+        <plugin id="condor" type="runner" load="galaxy.jobs.runners.condor:CondorJobRunner" />
+    </plugins>
+    <handlers default="handlers">
+        <!-- Additional job handlers - the id should match the name of a
+             [server:<id>] in universe_wsgi.ini.
+         -->
+        <handler id="handler0" tags="handlers"/>
+        <handler id="handler1" tags="handlers"/>
+        <handler id="special_handler0" tags="special_handlers"/>
+        <handler id="special_handler1" tags="special_handlers"/>
+        <handler id="trackster_handler"/>
+    </handlers>
+    <destinations default="local">
+        <!-- Destinations define details about remote resources and how jobs
+             should be executed on those remote resources.
+         -->
+        <destination id="local" runner="local"/>
+        <destination id="pbs" runner="pbs" tags="mycluster"/>
+        <destination id="pbs_longjobs" runner="pbs" tags="mycluster,longjobs">
+            <!-- Define parameters that are native to the job runner plugin. -->
+            <param id="Resource_List">walltime=72:00:00</param>
+        </destination>
+        <destination id="remote_cluster" runner="drmaa" tags="longjobs"/>
+        <destination id="real_user_cluster" runner="drmaa">
+            <!-- TODO: The real user options should maybe not be considered runner params. -->